## cryptui-key-list

cryptui-key-list

## Synopsis

    GtkTreeView*        cryptui_key_list_new                (CryptUIKeyStore *ckstore,
                                                             guint flags);
    void                cryptui_key_list_setup              (GtkTreeView *view,
                                                             CryptUIKeyStore *ckstore,
                                                             guint flags);
    CryptUIKeyStore*    cryptui_key_list_get_key_store      (GtkTreeView *combo);
    CryptUIKeyset*      cryptui_key_list_get_keyset         (GtkTreeView *combo);
    gboolean            cryptui_key_list_have_selected_keys (GtkTreeView *view);
    GList*              cryptui_key_list_get_selected_keys  (GtkTreeView *view);
    void                cryptui_key_list_set_selected_keys  (GtkTreeView *view,
                                                             GList *keys);
    const gchar*        cryptui_key_list_get_selected_key   (GtkTreeView *view);
    void                cryptui_key_list_set_selected_key   (GtkTreeView *view,
                                                             const gchar *key);

## Description

## Details

### cryptui_key_list_new ()

    GtkTreeView*        cryptui_key_list_new                (CryptUIKeyStore *ckstore,
                                                             guint flags);

`ckstore` : |
`flags` : |
Returns : |

### cryptui_key_list_setup ()

    void                cryptui_key_list_setup              (GtkTreeView *view,
                                                             CryptUIKeyStore *ckstore,
                                                             guint flags);

`view` : |
`ckstore` : |
`flags` : |

### cryptui_key_list_get_key_store ()

    CryptUIKeyStore*    cryptui_key_list_get_key_store      (GtkTreeView *combo);

`combo` : |
Returns : |

### cryptui_key_list_get_keyset ()

    CryptUIKeyset*      cryptui_key_list_get_keyset         (GtkTreeView *combo);

`combo` : |
Returns : |

### cryptui_key_list_have_selected_keys ()

    gboolean            cryptui_key_list_have_selected_keys (GtkTreeView *view);

`view` : |
Returns : |

### cryptui_key_list_get_selected_keys ()

    GList*              cryptui_key_list_get_selected_keys  (GtkTreeView *view);

`view` : |
Returns : |

### cryptui_key_list_set_selected_keys ()

    void                cryptui_key_list_set_selected_keys  (GtkTreeView *view,
                                                             GList *keys);

`view` : |
`keys` : |

### cryptui_key_list_get_selected_key ()

    const gchar*        cryptui_key_list_get_selected_key   (GtkTreeView *view);

`view` : |
Returns : |

### cryptui_key_list_set_selected_key ()

    void                cryptui_key_list_set_selected_key   (GtkTreeView *view,
                                                             const gchar *key);

`view` : |
`key` : |